--- app_meetme.c.orig	2004-05-13 14:47:10.000000000 -0400
+++ app_meetme.c	2004-05-13 17:07:34.000000000 -0400
@@ -89,11 +89,6 @@
 
 static ast_mutex_t conflock = AST_MUTEX_INITIALIZER;
 
-#include "enter.h"
-#include "leave.h"
-
-#define ENTER	0
-#define LEAVE	1
 
 #define CONF_SIZE 160
 
@@ -126,29 +121,6 @@
 	return 0;
 }
 
-static void conf_play(struct ast_conference *conf, int sound)
-{
-	unsigned char *data;
-	int len;
-	ast_mutex_lock(&conflock);
-	switch(sound) {
-	case ENTER:
-		data = enter;
-		len = sizeof(enter);
-		break;
-	case LEAVE:
-		data = leave;
-		len = sizeof(leave);
-		break;
-	default:
-		data = NULL;
-		len = 0;
-	}
-	if (data) 
-		careful_write(conf->fd, data, len);
-	ast_mutex_unlock(&conflock);
-}
-
 static struct ast_conference *build_conf(char *confno, char *pin, int make, int dynamic)
 {
 	struct ast_conference *cnf;
@@ -261,7 +233,7 @@
 	int firstpass = 0;
 	int ret = -1;
 	int x;
-
+	int curusers = 0;
 	struct ast_app *app;
 	char *agifile;
 	char *agifiledefault = "conf-background.agi";
@@ -391,9 +363,8 @@
 
 	if (!firstpass && !(confflags & CONFFLAG_MONITOR) && !(confflags & CONFFLAG_ADMIN)) {
 		firstpass = 1;
-		if (!(confflags & CONFFLAG_QUIET))
-			conf_play(conf, ENTER);
 	}
+	curusers = conf->users;
 
 	if (confflags & CONFFLAG_AGI) {
 
@@ -426,6 +397,21 @@
 		outfd = -1;
 		ms = -1;
 		c = ast_waitfor_nandfds(&chan, 1, &fd, nfds, NULL, &outfd, &ms);
+		if (curusers > conf->users) {
+			if (!(confflags & CONFFLAG_QUIET))
+				res = ast_streamfile(chan, "conf-bip-enter", chan->language);	
+				if (!res)
+					ast_waitstream(chan, "");
+
+		}
+		if (curusers < conf->users) {
+			if (!(confflags & CONFFLAG_QUIET))
+				res = ast_streamfile(chan, "conf-bip-leave", chan->language); 
+				if (!res)
+					ast_waitstream(chan, "");
+	
+		}
+		curusers = conf->users;
 		/* trying to add moh for single person conf */
 		if (confflags & CONFFLAG_MOH) {
 			if (conf->users == 1) {
@@ -506,8 +492,6 @@
 			ast_log(LOG_WARNING, "Error setting conference\n");
 		}
 	}
-	if (!(confflags & CONFFLAG_QUIET) && !(confflags & CONFFLAG_MONITOR) && !(confflags & CONFFLAG_ADMIN))
-		conf_play(conf, LEAVE);
 
 outrun:
 
